Printago API
PATCH /v1/subscriptions/audit-logs

Configure audit logs

Enable or disable audit logging

Requires: audit.logs.configure

Request Body

SetAuditLogsEnabledRequest
enabledrequired
boolean

Example Request

application/json
{
  "enabled": true
}

Response Schema

Subscription
concurrencySlotsrequirednullable
number
min: 1
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
isCommercialrequirednullable
boolean
planrequirednullable
"core" | "personal"
corepersonal
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
termrequirednullable
"year" | "month"
yearmonth
trialEndsAtrequirednullable
string
format: date-time
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "concurrencySlots": 1,
  "plan": "core",
  "trialEndsAt": "2025-01-15T12:00:00.000Z",
  "term": "year",
  "isCommercial": true,
  "id": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}